class MainController < ApplicationController
  def index
    @packagesCount = Package.count
    @orphansCount = Package.unmaintained.count
    @maintainersCount = Maintainer.count
    @ratio = 0
    if @maintainersCount > 0
        @ratio = (@packagesCount.to_f / @maintainersCount.to_f).round(2)
    end
    
    respond_to do |format|
      format.html
    end
  end

end
