#require 'bundler/capistrano'

set :user, 'kosmas'
set :domain, 'mageia.org.uk'
set :application, "mageia_maintdb_2"

# file paths
#set :repository,  "#{user}@#{domain}:/home/#{user}/sites/prog/git.mach7x.com/projects/#{application}.git"
set :repository, "git@gitorious.org:mageia-maintainers-database-r2/mageia-maintainers-database-r2.git"
#ssh://kosmas@mach7x.com/home/kosmas/sites/prog/git.mach7x.com/projects/shorai.git"
set :deploy_to, "/home/#{user}/sites/clients/#{application}"

#set :scm, :subversion
# Or: `accurev`, `bzr`, `cvs`, `darcs`, `git`, `mercurial`, `perforce`, `subversion` or `none`

# distribute your applications across servers (the instructions below put them
# all on the same server, defined above as 'domain', adjust as necessary)
role :web, domain                           # Your HTTP server, Apache/etc
role :app, domain                           # This may be the same as your `Web` server
role :db,  domain, :primary => true         # This is where Rails migrations will run
#role :db,  "your slave db-server here"

# you might need to set this if you aren't seeing password prompts
# default_run_options[:pty] = true

# As Capistrano executes in a non-interactive mode and therefore doesn't cause
# any of your shell profile scripts to be run, the following might be needed
# if (for example) you have locally installed gems or applications. Note:
# this needs to contain the full values for the variables set, not simply
# the deltas.
# default_environment['PATH']='<your paths>:/usr/local/bin:/usr/bin:bin'
# default_environment['GEM_PATH']='<your paths>:/usr/lib/ruby/gems/1.8'
default_environment['PATH']='/usr/lib/ruby/gems/1.8/bin:/home/kosmas/.gems/bin:/usr/local/bin:/usr/bin:/bin:/usr/bin/X11:/usr/games'
default_environment['GEM_PATH']='/home/kosmas/.gems:/usr/lib/ruby/gems/1.8'

# miscellanous options
set :deploy_via, :remote_cache
set :scm, 'git'
set :branch, 'master'
set :scm_verbose, true
set :use_sudo, false

namespace :deploy do
  desc "cause Passenger to initiate a restart"
  task :restart do
    run "touch #{current_path}/tmp/restart.txt"
  end
end

#after "deploy:update_code", :bundle_install
#desc "install the necessary prerequisites"
#task :bundle_install, :roles => :app do
#  run "cd #{release_path} && bundle install"
#end

# If you are using Passenger mod_rails uncomment this:
# if you're still using the script/reapear helper you will need
# these http://github.com/rails/irs_process_scripts

# namespace :deploy do
#   task :start do ; end
#   task :stop do ; end
#   task :restart, :roles => :app, :except => { :no_release => true } do
#     run "#{try_sudo} touch #{File.join(current_path,'tmp','restart.txt')}"
#   end
# end