require 'test_helper'

class MaintainersControllerTest < ActionController::TestCase
  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:maintainers)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create maintainer" do
    assert_difference('Maintainer.count') do
      post :create, :maintainer => { }
    end

    assert_redirected_to maintainer_path(assigns(:maintainer))
  end

  test "should show maintainer" do
    get :show, :id => maintainers(:one).to_param
    assert_response :success
  end

  test "should get edit" do
    get :edit, :id => maintainers(:one).to_param
    assert_response :success
  end

  test "should update maintainer" do
    put :update, :id => maintainers(:one).to_param, :maintainer => { }
    assert_redirected_to maintainer_path(assigns(:maintainer))
  end

  test "should destroy maintainer" do
    assert_difference('Maintainer.count', -1) do
      delete :destroy, :id => maintainers(:one).to_param
    end

    assert_redirected_to maintainers_path
  end
end
