require 'test_helper'

class MediaControllerTest < ActionController::TestCase
  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:media)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create media" do
    assert_difference('Media.count') do
      post :create, :media => { }
    end

    assert_redirected_to media_path(assigns(:media))
  end

  test "should show media" do
    get :show, :id => media(:one).to_param
    assert_response :success
  end

  test "should get edit" do
    get :edit, :id => media(:one).to_param
    assert_response :success
  end

  test "should update media" do
    put :update, :id => media(:one).to_param, :media => { }
    assert_redirected_to media_path(assigns(:media))
  end

  test "should destroy media" do
    assert_difference('Media.count', -1) do
      delete :destroy, :id => media(:one).to_param
    end

    assert_redirected_to media_path
  end
end
