require 'test_helper'

class SpackagesControllerTest < ActionController::TestCase
  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:spackages)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create spackage" do
    assert_difference('Spackage.count') do
      post :create, :spackage => { }
    end

    assert_redirected_to spackage_path(assigns(:spackage))
  end

  test "should show spackage" do
    get :show, :id => spackages(:one).to_param
    assert_response :success
  end

  test "should get edit" do
    get :edit, :id => spackages(:one).to_param
    assert_response :success
  end

  test "should update spackage" do
    put :update, :id => spackages(:one).to_param, :spackage => { }
    assert_redirected_to spackage_path(assigns(:spackage))
  end

  test "should destroy spackage" do
    assert_difference('Spackage.count', -1) do
      delete :destroy, :id => spackages(:one).to_param
    end

    assert_redirected_to spackages_path
  end
end
