require 'test_helper'

class MaintainersSpackagesControllerTest < ActionController::TestCase
  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:maintainers_spackages)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create maintainers_spackage" do
    assert_difference('MaintainersSpackage.count') do
      post :create, :maintainers_spackage => { }
    end

    assert_redirected_to maintainers_spackage_path(assigns(:maintainers_spackage))
  end

  test "should show maintainers_spackage" do
    get :show, :id => maintainers_spackages(:one).to_param
    assert_response :success
  end

  test "should get edit" do
    get :edit, :id => maintainers_spackages(:one).to_param
    assert_response :success
  end

  test "should update maintainers_spackage" do
    put :update, :id => maintainers_spackages(:one).to_param, :maintainers_spackage => { }
    assert_redirected_to maintainers_spackage_path(assigns(:maintainers_spackage))
  end

  test "should destroy maintainers_spackage" do
    assert_difference('MaintainersSpackage.count', -1) do
      delete :destroy, :id => maintainers_spackages(:one).to_param
    end

    assert_redirected_to maintainers_spackages_path
  end
end
